%define libname %mklibname txc-dxtn
%define devellibname %mklibname -d txc-dxtn

Name: libtxc_dxtn
Summary: S3 Texture Compression (S3TC) sextension for Mesa
Version: 1.0.1
# fix update from mdv/plf:
Epoch: 1
Release: %mkrel 7
Group: System/Libraries
License: BSD
URL: http://dri.freedesktop.org/wiki/S3TC
Source0: http://cgit.freedesktop.org/~mareko/libtxc_dxtn/snapshot/libtxc_dxtn-%{version}.tar.gz
BuildRequires: mesagl-devel

%description
An open source implementation of the S3 Texture Compression (S3TC)
for use with the open source OpenGL implementation Mesa.

This provides the GLX extension GL_EXT_texture_compression_s3tc.

This package is in the "tainted" section because S3TC is covered by software
patents.

#-----------------------------------------------------------

%package -n %{devellibname}
Summary:  S3 Texture Compression (S3TC) sextension for Mesa
Group: System/Libraries
Requires: %{libname} = %{epoch}:%{version}

%description -n %{devellibname}
An open source implementation of the S3 Texture Compression (S3TC)
for use with the open source OpenGL implementation Mesa.

This provides the GLX extension GL_EXT_texture_compression_s3tc.

This package is in the "tainted" section because S3TC is covered by software
patents.

%package -n %{libname}
Summary:  S3 Texture Compression (S3TC) sextension for Mesa
Group: System/Libraries
Provides: %{name} = %{version}
Conflicts: %{_lib}txc-dxtn-devel < 1.0.1-3

%description -n %{libname}
An open source implementation of the  S3 Texture Compression (S3TC)
for use with the open source OpenGL implementation Mesa.

This provides the GLX extension GL_EXT_texture_compression_s3tc.

This package is in the "tainted" section because S3TC is covered by software
patents.

#-----------------------------------------------------------

%prep
%setup -q
mkdir -p m4

%build
./autogen.sh
%configure2_5x
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc Changelog
%{_libdir}/%{name}.so

%files -n %{devellibname}
%doc Changelog
%_includedir/txc_dxtn.h


%changelog
* Thu Nov 20 2014 pterjan <pterjan> 1:1.0.1-7.mga5
+ Revision: 797942
- Fix missing epoch in -devel dependency

* Wed Oct 15 2014 umeabot <umeabot> 1:1.0.1-6.mga5.tainted
+ Revision: 740926
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.0.1-5.mga5.tainted
+ Revision: 681821
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 1:1.0.1-4.mga4.tainted
+ Revision: 548207
- Mageia 4 rebuild

* Sat Jan 12 2013 fwang <fwang> 1:1.0.1-3.mga3.tainted
+ Revision: 359157
- drop .la file
- mkdir m4
- correct conflicts
- cleanup spec

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 28 2012 tv <tv> 1:1.0.1-2.mga2.tainted
+ Revision: 202556
- bump release for upgrading from mdv
- new URL
- new version
- fix file list
- add devel subpackage
- prevent uploading into core by mistake
- rpmlint cleanup
- imported package libtxc_dxtn


* Wed Aug 24 2011 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-1.mga2
- new URL
- new version
- fix file list
- add devel subpackage
- prevent uploading into core by mistake

* Thu Jul 09 2009 Anssi Hannula <anssi@zarb.org> 070518-1plf2009.1
- initial PLF release based on .spec from Colin Guthrie

